{% extends "../layout/layout.njk" %}

{% macro pageButton(thisPage, actualPage, name, link) %}
    <a class="button {{ 'is-info' if actualPage === thisPage else '' }} is-fullwidth"
       href="{{ url(link) }}">
        {{ name | safe }}
    </a>
{% endmacro %}

{% block content %}
    <section class="section">

        <div class="columns">
            <div class="column is-8 is-offset-2-desktop">

                <h1 class="title">{{ title | safe }}</h1>
                {% if subtitle %}
                    <h2 class="subtitle">{{ subtitle | safe }}</h2>
                {% endif %}

            </div> {# end .column #}
        </div> {# end .columns #}

        <div class="columns">

            {% if hasSidebar %}
                <div class="column is-3 is-2-desktop is-offset-2-desktop">
                    <div class="buttons">
                        {% block nav %}
                        {% endblock %}
                    </div>
                </div>
            {% endif %}

            {% if hasSidebar %}
                <div class="column is-6-desktop">
            {% else %}
                <div class="column is-8-desktop is-offset-2-desktop">
            {% endif %}
                <div class="card">
                    {% if cardHasHeader or false %}
                        <header class="card-header">
                            {% block cardHeader %}
                            {% endblock %}
                        </header>
                    {% endif %}
                    <div class="card-content">
                        {% block cardContent %}
                        {% endblock %}
                    </div>
                </div> {# end .card #}
            </div> {# end .column #}

        </div> {# end .columns #}
    </section>
{% endblock %}
